## noris-firewall 4.0-2

=== Makefile ===
build:

install: build
	cp -r etc ${DESTDIR}
			
clean:

=== debian/changelog ===
noris-firewall (4.0-2) stable; urgency=low

  * Added short Script from RT#417927-19 to decrease TCP WSCALE to 6 per
    default.

 -- Georg Gliniak <gliniak@noris.de>  Mon, 14 Apr 2008 11:29:16 +0200

noris-firewall (4.0-1) stable; urgency=low

  * Rebuilt for etch.

 -- Hardy Kestin <hardy@noris.net>  Thu, 31 May 2007 14:53:21 +0200

noris-firewall (3.1-3) stable; urgency=low

  * Changed Section again.

 -- Hardy Kestin <hardy@noris.net>  Tue, 21 Jun 2005 15:33:00 +0200

noris-firewall (3.1-1) stable; urgency=high

  * Changed dist, arch and Section.

 -- Hardy Kestin <hardy@noris.net>  Tue, 21 Jun 2005 15:33:00 +0200

noris-firewall (0.2-7) unstable; urgency=low

  * Allow snmp from $MONITOR.
  * Renamed in_ext to in_main for more portability.
  * Defined new variables $MAIN_IF and $BACK_IF.
  * Changed Makefile to copy content instead of untaring it.
  * Used debhelper-mech to copy examples.
  * Updated copyright.

 -- Hardy Kestin <hardy@noris.net>  Mon,  8 Mar 2005 12:52:00 +0200

noris-firewall (0.2-6) unstable; urgency=low

  * Allow ssh from $MONITOR.

 -- Hardy Kestin <hardy@noris.net>  Mon, 26 Jul 2004 11:02:00 +0200

noris-firewall (0.2-5) unstable; urgency=low

  * Removed postinst-script for monitor1-update.

 -- Hardy Kestin <hardy@noris.net>  Thr, 14 May 2004 11:02:00 +0200

noris-firewall (0.2-4) unstable; urgency=low

  * Removed Dependency to noris-server.

 -- Hardy Kestin <hardy@noris.net>  Thr, 13 May 2004 11:02:00 +0200

noris-firewall (0.2-3) unstable; urgency=low

  * Added host monitor1 to the list of valid nrpe-servers in default
    firewall-script.
  * Forced these changes by a postinst-script.

 -- Hardy Kestin <hardy@noris.net>  Fri, 23 Apr 2004 11:02:00 +0200
 

noris-firewall (0.2-1) unstable; urgency=low

  * Splitted of from noris-server.

 -- Hardy Kestin <hardy@noris.net>  Wed, 21 Apr 2004 10:38:57 +0200

## noris-firewall 6.0-18

=== Makefile ===
build:

install: build
	cp -r etc ${DESTDIR}

clean:

=== debian/changelog ===
noris-firewall (6.0-18) wheezy; urgency=low

  * Build for wheezy (closes #12927669)

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 25 Oct 2012 12:18:05 +0200

noris-firewall (6.0-16) squeeze; urgency=low

  * improved if clauses for $FWDEBUG (hopefully) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 18 Jan 2012 13:21:01 +0100

noris-firewall (6.0-15) squeeze; urgency=low

  * made init-script Squeeze LSB conform

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 11 Nov 2011 09:19:05 +0100

noris-firewall (6.0-14) squeeze; urgency=low

  * nochn paar Kleinigkeiten 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 18 Oct 2011 14:26:11 +0200

noris-firewall (6.0-13) squeeze; urgency=low

  * variables wieder ins init script 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 18 Oct 2011 11:56:06 +0200

noris-firewall (6.0-12) squeeze; urgency=low

  * $VARS 2x eingesourcet :( 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 17 Oct 2011 13:32:06 +0200

noris-firewall (6.0-11) squeeze; urgency=low

  * nochn paar Änderungen im init script 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 11 Oct 2011 15:05:11 +0200

noris-firewall (6.0-10) squeeze; urgency=low

  * make init script LSB conform 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 10 Oct 2011 15:39:08 +0200

noris-firewall (6.0-9) squeeze; urgency=low

  * rules müssen vor -A clean -j DROP eingesourct werden 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 07 Oct 2011 14:20:01 +0200

noris-firewall (6.0-8) squeeze; urgency=low

  * removed BACK_IF from init script 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 07 Oct 2011 11:25:52 +0200

noris-firewall (6.0-7) squeeze; urgency=low

  * removed monitor1, techinfo and port 1081 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 30 Sep 2011 12:42:46 +0200

noris-firewall (6.0-6) squeeze; urgency=low

  * debian/rules != noris-firewall/rules (gna) 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 01 Mar 2011 16:33:15 +0100

noris-firewall (6.0-5) squeeze; urgency=low

  * removed "usr" in Makefile 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 25 Feb 2011 15:14:12 +0100

noris-firewall (6.0-4) squeeze; urgency=low

  * new version number (last one rejected)

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 25 Feb 2011 15:11:50 +0100

noris-firewall (6.0-3) squeeze; urgency=low

  * more examples files 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 25 Feb 2011 14:56:01 +0100

noris-firewall (6.0-2) squeeze; urgency=low

  * rules and variables files 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 25 Feb 2011 14:37:21 +0100

noris-firewall (6.0-1) squeeze; urgency=low

  * Initial Build + some (hopeful) improvements (#608629) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Feb 2011 14:20:01 +0100

=== debian/control ===
Source: noris-firewall
Section: noris/server
Priority: important
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: noris-firewall
Architecture: all
Depends: ${shlibs:Depends}, sysvinit (>=2.83), iptables
Description: Firewallscripts for noris network
 This is a shiny and easy-to-use-shellscript.
 It provides a skeleton for default services including DSR in
 the prerouting-section. ssh is only allowed from TRUSTED hosts.
 If you don't understand it, you should have a look at 
 <http://www.arbeitsagentur.de> and dig for another job. ;-)
 Please note, that the firewallscript is disabled by default.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/noris-firewall.sgml > noris-firewall.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/noris-firewall.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-firewall


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
